---
search:
  tags:
    - Static Listings V2
    - PATCH
seo:
  description: >-
    Bulk-patches static listings by id. Successful… Reference for the PATCH
    /api/v2/{team_slug}/{app_slug}/static-listings endpoint in the Management
    API v2.
sidebar:
  label: Update static listings
  badge: PATCH
title: Update static listings
type: openapi-operation
---
Bulk-patches static listings by id. Successful entities are returned in data; per-item failures in errors.

`PATCH /api/v2/{team_slug}/{app_slug}/static-listings`

**Request body** (`application/json`, required)

- `static_listings` (PatchStaticListingItem[], required)

Request body example:

```json
{
  "static_listings": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "slug": "string",
      "variants": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "app_id": "affd1d10-9538-4fc8-9e0b-4594a28c1335",
          "product_id": "0d012afa-f885-4e65-aeca-37e27701e2d1",
          "variant_name": "string",
          "product_name": "string",
          "variant_number": "string",
          "custom_fields": {
            "property1": "string",
            "property2": "string"
          }
        }
      ]
    }
  ]
}
```

**Responses**

- `200` — Patched (partial success possible)
- `400` — Request-level failure
- `401` — Request-level failure
- `403` — Request-level failure
- `500` — Request-level failure

Response example, 200:

```json
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "slug": "string",
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z",
      "variants": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "app_id": "affd1d10-9538-4fc8-9e0b-4594a28c1335",
          "product_id": "0d012afa-f885-4e65-aeca-37e27701e2d1",
          "variant_name": "string",
          "product_name": "string",
          "variant_number": "string",
          "custom_fields": {
            "property1": "string",
            "property2": "string"
          }
        }
      ]
    }
  ],
  "errors": [
    {
      "slug": "string",
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "message": "string"
    }
  ]
}
```
